#
# spec file for package rpmorphan
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rpmorphan
Version:        1.16
Release:        2.5
Summary:        List the orphaned RPM packages
License:        GPL-2.0+
Group:          System/Packages
Url:            http://rpmorphan.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Requires:       rpm
Recommends:     logrotate
Recommends:     perl-Curses-UI
Recommends:     perl-RPM2
Recommends:     perl-Tk
Recommends:     perl-URPM
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Finds "orphaned" packages on your system. It determines which packages
have no other packages depending on their installation, and shows you
a list of these packages. It intends to be clone of deborphan debian
tools for RPM packages.

%prep
%setup -q

# Fix rpmlint warning "non-executable-script"
sed -i '/^#\!/d' locale/en/rpmorphan_trans.pl
sed -i '/^#\!/d' locale/fr_FR/rpmorphan_trans.pl
sed -i '/^#\!/d' rpmorphan-curses-lib.pl
sed -i '/^#\!/d' rpmorphan-lib.pl
sed -i '/^#\!/d' rpmorphan-tk-lib.pl

%build

%install
make install DESTDIR=%{buildroot} DOCDIR=%{buildroot}%{_defaultdocdir}/%{name}

%files
%defattr(-,root,root,-)
%doc Authors COPYING Changelog NEWS Readme Readme.fr Todo rpmorphan.lsm
%config(noreplace) %{_sysconfdir}/logrotate.d/rpmorphan
%config(noreplace) %{_sysconfdir}/rpmorphanrc
%{_bindir}/grpmorphan
%{_bindir}/rpmdep
%{_bindir}/rpmdep.pl
%{_bindir}/rpmduplicates
%{_bindir}/rpmduplicates.pl
%{_bindir}/rpmextra
%{_bindir}/rpmextra.pl
%{_bindir}/rpmorphan
%{_bindir}/rpmorphan.pl
%{_bindir}/rpmusage
%{_bindir}/rpmusage.pl
%{_mandir}/man1/rpmdep.1%{ext_man}
%{_mandir}/man1/rpmduplicates.1%{ext_man}
%{_mandir}/man1/rpmextra.1%{ext_man}
%{_mandir}/man1/rpmorphan.1%{ext_man}
%{_mandir}/man1/rpmusage.1%{ext_man}
%{_libexecdir}/rpmorphan/
%dir %{_localstatedir}/lib/rpmorphan
%{_localstatedir}/lib/rpmorphan/keep
%ghost %config(noreplace) %{_localstatedir}/log/rpmorphan.log

%changelog
* Fri Aug  5 2016 asterios.dramis@gmail.com
- Update to 1.16:
  bugfix:
  * fix build warnings on fedora 23
  * fix use from tgz install
  * (rpmextra) fix missing separator between name and version for
    yum
  improvement:
  * change shebang to /usr/bin/env
  * (rmpdep) add level option
  * (rpmduplicate) add remove option for interactive action
  * (rpmextra) can use dnf tool
  * (rpmorphan tk) use virtual events to remove duplicate code
  * (rpmorphan tk) use MListbox to display informations on sortable
    columns
  * (rpmorphan) can configure log file (from command line and
    rpmorphanrc)
  * (rpmorphan) add debug option (for developpers)
  * (rpmorphan curses) display name and size in columns
  incompatibilties:
  * (rmpdep) rename option verbose into debug
  * (rpmduplicate) remove rpmorphan-lib dependency
  * (rpmduplicate) remove unused option verbose
* Sun Mar 15 2015 p.drouand@gmail.com
- Update to version 1.15
  * (rpmorphan) : bugfix, accept keep-file option
* Sun May  4 2014 asterios.dramis@gmail.com
- Update to 1.14:
  * (rpmorphan) : displays disk space freed in confirm box
  * (rpmorphan) : add arch option
* Thu Feb 13 2014 asterios.dramis@gmail.com
- Update to 1.13:
  * better variable names for rpmduplicates.pl
  * patch from Thierry Vignaud on urpm code
  * code for mageia2 (and before) and 3 (and after)
  * remove warning about bug rh#880603
  * rpmdep can show depending packages (--depending option)
  * rpmdep can work on all installed packages (--all option)
* Thu Aug 15 2013 asterios.dramis@gmail.com
- Update to 1.12.3:
  * fix bug introduced in 1.12.2 in is_set function
* Mon Aug 12 2013 asterios.dramis@gmail.com
- Update to 1.12.2:
  * fix rh#880603 : undefined used as SCALAR reference
- No need to set TARGET_LOCALE anymore. Default install dir is
  /usr/lib/rpmorphan/.
* Sun Mar 31 2013 asterios.dramis@gmail.com
- Update to 1.12:
  * libs does not need to be executable
  * move libs to /usr/lib/rpmorphan
  * remove Data::Dumper dependency
  * (rpmduplicates) take care of arch
- Added a Recommends: entry for perl-URPM (optional runtime requirement).
* Sat Oct  6 2012 asterios.dramis@gmail.com
- Updated to 1.11:
  * add suggests option
  * add /etc/rpmorphanrc
  * fix bug with space in filenames
  * add env RPMORPHAN_METHOD for debugging
* Mon Jul 11 2011 asterios.dramis@gmail.com
- Updated to 1.10:
  * bugfix eval for Curses (mandriva)
  * fix bad version display
  * clean all scripts
  * reduce size/duplicated code in rpmorphan/rpmusage
  * reduce menu length in curses gui (< 72)
  * display package summary in a popup on S key
* Tue Mar 29 2011 prusnak@opensuse.org
- use %%_libexecdir for TARGET_LOCALE
* Mon Mar 28 2011 asterios.dramis@gmail.com
- Updated to 1.9:
  * new features:
    + add rpmextra tool
    + add grpmorphan as link to rpmorphan -gui
  * others:
    + fix perlcritic warnings
- Spec file updates:
  * Require instead of Recommend the logrotate package.
  * Minor changes in %%build and %%install sections.
  * Changes in %%files section. Most important:
    + %%config(noreplace) for /etc/logrotate.d/rpmorphan.
    + %%ghost %%config(noreplace) for /var/log/rpmorphan.log.
* Sat Feb  5 2011 asterios.dramis@gmail.com
- updated to 1.8
  * fix bug on rpmdep (missing installtime in urpm mode)
  * add help translation (gui)
  From 1.7
  * Curses is no more an rpm dependency
  * add reload button
- Spec file updates:
  * Changes based on rpmdevtools templates and spec-cleaner run.
  * Updates in Group:, Requires:, Recommends: and %%install sections.
  * Fixed rpmlint warning (non-executable-script).
* Sun Feb 21 2010 prusnak@suse.cz
- updated to 1.6
* Tue Jan  6 2009 prusnak@suse.cz
- updated to 1.4
* Thu Dec 11 2008 prusnak@suse.cz
- added perl-Curses-UI and perl-Tk to Recommends
* Wed Dec 10 2008 prusnak@suse.cz
- created package - version 1.3
